{% extends "base.html" %}
{% load static %}
{% block title %}Présentation{% endblock %}
{% block css %}
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '../static/css/base.css' %}"/>
<link rel="stylesheet" type="text/css" href="{% static '../static/css/accueil.css' %}"/>
{% endblock %}

{% block content %}
<div class="d-flex flex-column justify-content-center">
  <div class="yaganime-acceuil-top d-flex justify-content-center align-items-center">
    {% if user.is_authenticated %}
    <div class="yaganime-acceuil-title">
      <span>Re-bonjour {{ user.username }}</span>
    </div>
    {% else %}
    <div class="yaganime-acceuil-title">
      <span>Bienvenue sur LightYaganime</span>
    </div>
    {% endif %}
  </div>
  <div class="yaganime-acceuil-top-anime">
    <div class="mt-2">
      <span style="text-decoration: underline;">Top futur sortie</span>
    </div>
    <div class="d-flex justify-content-center flex-wrap">
      {% for anime in top_anime %}
      <div class="yaganime-general-card m-3 d-flex flex-column justify-content-center align-items-center" style="width: 200px; height: 350px">
        <div class="yaganime-general-card-head d-flex flex-column align-items-center">
          <div class="yaganime-general-card-head-title d-flex justify-content-center align-items-center">
            <!--Remplacer le nom avec celui de l'API -->
            <span style="text-align: center;width: 95%;overflow: hidden;">{{ anime.name }}</span>
          </div>

        </div>
        <div class="yaganime-general-card-body d-flex justify-content-center align-items-center">
          <div class="yaganime-general-card-body-img d-flex justify-content-center align-items-center">
            <a href="{% url 'details' anime_id=anime.id %}" style="height: 100%; width: 100%">
              <!--Mettre lien image de l'API -->
              <img style="width: 100%; height: 100%; border-radius: 18px" src="{{ anime.picture }}" alt="Error">
            </a>
          </div>
        </div>
        <div class="yaganime-general-card-foot d-flex justify-content-center align-items-center">
          <form method="post" action="{% url 'ajouter_liste_anime' %}">
            {% csrf_token %}
            <input type="hidden" name="anime_id" value="{{ anime.id }}">
            <input type="hidden" name="name" value="{{ anime.name }}">
            <input type="hidden" name="picture" value="{{ anime.picture }}">
            <input type="hidden" name="mean" value=000>
            <input type="hidden" name="rank" value=000>
            <button class="yaganime-anime_details-btn" type="submit">Ajouter à la liste</button>
          </form>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
  <div class="yaganime-acceuil-seasonal-anime">
    <div class="mt-2">
      <span style="text-decoration: underline;">Anime de cette saison</span>
    </div>
    <div class="d-flex justify-content-center flex-wrap">
      {% for anime in anime_season %}
      <div class="yaganime-general-card m-3 d-flex flex-column justify-content-center align-items-center" style="width: 200px; height: 350px">
        <div class="yaganime-general-card-head d-flex flex-column align-items-center">
          <div class="yaganime-general-card-head-title d-flex justify-content-center align-items-center">
            <!--Remplacer le nom avec celui de l'API -->
            <span style="text-align: center;width: 95%;overflow: hidden;">{{ anime.name }}</span>
          </div>

        </div>
        <div class="yaganime-general-card-body d-flex justify-content-center align-items-center">
          <div class="yaganime-general-card-body-img d-flex justify-content-center align-items-center">
            <a href="{% url 'details' anime_id=anime.id %}" style="height: 100%; width: 100%">
              <!--Mettre lien image de l'API -->
              <img style="width: 100%; height: 100%; border-radius: 18px" src="{{ anime.picture }}" alt="Error">
            </a>
          </div>
        </div>
        <div class="yaganime-general-card-foot d-flex justify-content-center align-items-center">
          <form method="post" action="{% url 'ajouter_liste_anime' %}">
            {% csrf_token %}
            <input type="hidden" name="anime_id" value="{{ anime.id }}">
            <input type="hidden" name="name" value="{{ anime.name }}">
            <input type="hidden" name="picture" value="{{ anime.picture }}">
            <input type="hidden" name="mean" value=000>
            <input type="hidden" name="rank" value=000>
            <button class="yaganime-anime_details-btn" type="submit">Ajouter à la liste</button>
          </form>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
  <div class="yaganime-acceuil-top_all_time-anime">
    <div class="mt-2">
      <span style="text-decoration: underline;">Top all time</span>
    </div>
    <div class="d-flex justify-content-center flex-wrap">
      {% for anime in top_all_time %}
      <div class="yaganime-general-card m-3 d-flex flex-column justify-content-center align-items-center" style="width: 200px; height: 350px">
        <div class="yaganime-general-card-head d-flex flex-column align-items-center">
          <div class=" d-flex justify-content-center align-items-center m-1" style="width: 100%; height: 50%">
          </div>
          <div class="yaganime-general-card-head-title d-flex justify-content-center align-items-center">
            <!--Remplacer le nom avec celui de l'API -->
            <span style="text-align: center;width: 95%;overflow: hidden;">{{ anime.name }}</span>
          </div>

        </div>
        <div class="yaganime-general-card-body d-flex justify-content-center align-items-center">
          <div class="yaganime-general-card-body-img d-flex justify-content-center align-items-center">
            <a href="{% url 'details' anime_id=anime.id %}" style="height: 100%; width: 100%">
              <!--Mettre lien image de l'API -->
              <img style="width: 100%; height: 100%; border-radius: 18px" src="{{ anime.picture }}" alt="Error">
            </a>
          </div>
        </div>
        <div class="yaganime-general-card-foot d-flex justify-content-center align-items-center">
          <form method="post" action="{% url 'ajouter_liste_anime' %}">
            {% csrf_token %}
            <input type="hidden" name="anime_id" value="{{ anime.id }}">
            <input type="hidden" name="name" value="{{ anime.name }}">
            <input type="hidden" name="picture" value="{{ anime.picture }}">
            <input type="hidden" name="mean" value=000>
            <input type="hidden" name="rank" value=000>
            <button class="yaganime-anime_details-btn" type="submit">Ajouter à la liste</button>
          </form>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
</div>
{% endblock %}

{% block script %}

{% endblock %}
